Package org.codehaus.groovy.control

# Class ClassNodeResolver.LookupResult

java.lang.Object
org.codehaus.groovy.control.ClassNodeResolver.LookupResult

Enclosing class:
  ClassNodeResolver

public static class ClassNodeResolver.LookupResult extends Object
Helper class to return either a SourceUnit or ClassNode.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LookupResult(SourceUnit su, ClassNode cn)`
  creates a new LookupResult.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClassNode`
  `getClassNode()`
  returns the ClassNode
  `SourceUnit`
  `getSourceUnit()`
  returns the SourceUnit
  `boolean`
  `isClassNode()`
  returns true if a ClassNode is stored
  `boolean`
  `isSourceUnit()`
  returns true if a SourceUnit is stored

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LookupResult

    public LookupResult(SourceUnit su, ClassNode cn)
    creates a new LookupResult. You are not supposed to supply a SourceUnit and a ClassNode at the same time

- ## Method Details

  - ### isClassNode

    public boolean isClassNode()
    returns true if a ClassNode is stored

  - ### isSourceUnit

    public boolean isSourceUnit()
    returns true if a SourceUnit is stored

  - ### getSourceUnit

    public SourceUnit getSourceUnit()
    returns the SourceUnit

  - ### getClassNode

    public ClassNode getClassNode()
    returns the ClassNode